Subject: bug#52656: closed (Re: bug#52656: (id) utility bug found)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Dec 2021 17:27:02 +0000

Your bug report

#52656: (id) utility bug found

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52656: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52656
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52656: (id) utility bug found
From: Paul Eggert <[email-masked]>
To: Glenn Golden <[email-masked]>
Cc: [email-masked], Morteza Ghorbani <[email-masked]>
Date: Sun, 19 Dec 2021 09:26:03 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/19/21 06:58, Glenn Golden wrote:
> Possibly the man page
> could be updated to say the same.

Thanks for the suggestion. I installed the attached documentation patch 
and am closing the bug report.

From d3beb53be64a958988a94ed86e6246a21dc95a9c Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Sun, 19 Dec 2021 09:12:59 -0800
Subject: [PATCH] id: improve doc for when USER is omitted
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* src/id.c (usage): “current user” → “current process” (Bug#52656).
---
 src/id.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/id.c b/src/id.c
index a6c48cd50..b110048d3 100644
--- a/src/id.c
+++ b/src/id.c
@@ -96,7 +96,7 @@ usage (int status)
       printf (_("Usage: %s [OPTION]... [USER]...\n"), program_name);
       fputs (_("\
 Print user and group information for each specified USER,\n\
-or (when USER omitted) for the current user.\n\
+or (when USER omitted) for the current process.\n\
 \n"),
              stdout);
       fputs (_("\
-- 
2.32.0

Subject: (id) utility bug found
From: Morteza Ghorbani <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 19 Dec 2021 11:01:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello
I am Morteza Ghorbani
While Working with id utility, I found strange behavior.
Suppose that my username is ‘user1’ , so if I remove user1 from a particular group (e.g. netdev)  by the following instruction :
gpasswd –delete user1 netdev

then if I enter the ‘id’ command, I will be noted that nothing has been changed and still see the group which I removed the use1 from.
On the other hand, if I enter the command ‘ id user1 ‘, by this way I can see the changes !

In a nutshell,  ‘id’ --> does not show the changes while ‘id user1’ shows the changes and its behavior is correct.